kr.co.hanwha.hifive.adapter

## Class DefaultSpinnerAdapter

- java.lang.Object
- - android.widget.BaseAdapter
  - - kr.co.hanwha.hifive.adapter.DefaultSpinnerAdapter

- All Implemented Interfaces:
    android.widget.Adapter, android.widget.ListAdapter, android.widget.SpinnerAdapter

      public class DefaultSpinnerAdapter
      extends android.widget.BaseAdapter

  Created by sanghoonkwon on 2018. 2. 20..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.content.Context` | `mContext`
    `private android.view.LayoutInflater` | `mInflater`
    `private java.util.ArrayList<SpinnerData>` | `mListData`

    - ### Fields inherited from interface android.widget.Adapter

      `IGNORE_ITEM_VIEW_TYPE, NO_SELECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSpinnerAdapter(android.content.Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(SpinnerData item)`
    `void` | `addItems(java.util.ArrayList<SpinnerData> list)`
    `void` | `clear()`
    `int` | `getCount()`
    `android.view.View` | `getDropDownView(int position, android.view.View view, android.view.ViewGroup parent)`
    `java.lang.Object` | `getItem(int position)`
    `long` | `getItemId(int position)`
    `private java.lang.String` | `getTitle(int position)`
    `android.view.View` | `getView(int position, android.view.View view, android.view.ViewGroup parent)`

    - ### Methods inherited from class android.widget.BaseAdapter

      `areAllItemsEnabled, getAutofillOptions, getItemViewType, getViewTypeCount, hasStableIds, isEmpty, isEnabled, notifyDataSetChanged, notifyDataSetInvalidated, registerDataSetObserver, setAutofillOptions, unregisterDataSetObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mContext

          private android.content.Context mContext

    - #### mInflater

          private android.view.LayoutInflater mInflater

    - #### mListData

          private java.util.ArrayList<SpinnerData> mListData

  - ### Constructor Detail

    - #### DefaultSpinnerAdapter

          public DefaultSpinnerAdapter(android.content.Context context)

  - ### Method Detail

    - #### clear

          public void clear()

    - #### addItem

          public void addItem(SpinnerData item)

    - #### addItems

          public void addItems(java.util.ArrayList<SpinnerData> list)

    - #### getCount

          public int getCount()

    - #### getItem

          public java.lang.Object getItem(int position)

    - #### getItemId

          public long getItemId(int position)

    - #### getDropDownView

          public android.view.View getDropDownView(int position,
                                                   android.view.View view,
                                                   android.view.ViewGroup parent)

      Specified by:
        `getDropDownView` in interface `android.widget.SpinnerAdapter`
      Overrides:
        `getDropDownView` in class `android.widget.BaseAdapter`

    - #### getView

          public android.view.View getView(int position,
                                           android.view.View view,
                                           android.view.ViewGroup parent)

    - #### getTitle

          private java.lang.String getTitle(int position)